Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.thread
Class MorphemeProcThread

    java.lang.Object
      java.lang.Thread
          kr.ac.kaist.swrc.jhannanum.thread.MorphemeProcThread

All Implemented Interfaces:
  java.lang.Runnable

    public class MorphemeProcThread

extends java.lang.Thread

This class makes the morpheme processor plug-in to run on a thread.

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, KAIST

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`private java.util.concurrent.LinkedBlockingQueue<SetOfSentences>` | `in` input queue
`private MorphemeProcessor` | `morphProcessor` the morpheme processor plug-in
`private java.util.concurrent.LinkedBlockingQueue<SetOfSentences>` | `out` output queue

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`MorphemeProcThread(MorphemeProcessor morphProcessor, java.util.concurrent.LinkedBlockingQueue<SetOfSentences> in, java.util.concurrent.LinkedBlockingQueue<SetOfSentences> out)` Constructor.

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### morphProcessor

    private MorphemeProcessor morphProcessor

  the morpheme processor plug-in

### in

    private java.util.concurrent.LinkedBlockingQueue<SetOfSentences> in

  input queue

### out

    private java.util.concurrent.LinkedBlockingQueue<SetOfSentences> out

  output queue

Constructor Detail

### MorphemeProcThread

    public MorphemeProcThread(MorphemeProcessor morphProcessor,
                              java.util.concurrent.LinkedBlockingQueue<SetOfSentences> in,
                              java.util.concurrent.LinkedBlockingQueue<SetOfSentences> out)

  Constructor.

  Parameters:
    `morphProcessor` - - the morpheme processor plug-in
    `in` - - input queue
    `out` - - output queue

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD